Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class ITrimCurveGraphic

    java.lang.Object
      igeo.gui.ITrimCurveGraphic

    public class ITrimCurveGraphic

extends java.lang.Object

Class to convert trim curves to IPolyline and IPolyline2D. Used in ITrimLoopGraphic.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara
See Also:
  `ITrimLoopGraphic`

Field Summary
`ITrimCurveI` | `curve`
`IPolyline` | `polyline`
`IPolyline2D` | `polyline2`
`ISurfaceI` | `surface`

Constructor Summary
`ITrimCurveGraphic(ISurfaceI surf, IPolyline2D poly2)` For creating curve without ITrimCurve (mainly for rectangular borders)
`ITrimCurveGraphic(ITrimCurveI crv)`

Method Summary
`static IVec2[]` | `fillPointsBetween(ISurfaceI surf, IVec2 pt1, IVec2 pt2)` fill points to match with graphical resolution on the surface
`static double[]` | `fillUBetween(ISurfaceI surf, double u1, double u2)`
`static IVec2[]` | `fillUBetween(ISurfaceI surf, IVec2 pt1, IVec2 pt2)`
`static double[]` | `fillVBetween(ISurfaceI surf, double v1, double v2)`
`static IVec2[]` | `fillVBetween(ISurfaceI surf, IVec2 pt1, IVec2 pt2)`
`IPolyline` | `getPolyline(int reso)`
`IPolyline2D` | `getPolyline2D()`
`void` | `setup2D(int reso)`
`void` | `setup3D(int reso)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### curve

    public ITrimCurveI curve

### surface

    public ISurfaceI surface

### polyline2

    public IPolyline2D polyline2

### polyline

    public IPolyline polyline

Constructor Detail

### ITrimCurveGraphic

    public ITrimCurveGraphic(ITrimCurveI crv)

### ITrimCurveGraphic

    public ITrimCurveGraphic(ISurfaceI surf,
                             IPolyline2D poly2)

  For creating curve without ITrimCurve (mainly for rectangular borders)

Method Detail

### getPolyline2D

    public IPolyline2D getPolyline2D()

### getPolyline

    public IPolyline getPolyline(int reso)

### setup2D

    public void setup2D(int reso)

### setup3D

    public void setup3D(int reso)

### fillPointsBetween

    public static IVec2[] fillPointsBetween(ISurfaceI surf,
                                            IVec2 pt1,
                                            IVec2 pt2)

  fill points to match with graphical resolution on the surface

### fillUBetween

    public static IVec2[] fillUBetween(ISurfaceI surf,
                                       IVec2 pt1,
                                       IVec2 pt2)

### fillUBetween

    public static double[] fillUBetween(ISurfaceI surf,
                                        double u1,
                                        double u2)

### fillVBetween

    public static IVec2[] fillVBetween(ISurfaceI surf,
                                       IVec2 pt1,
                                       IVec2 pt2)

### fillVBetween

    public static double[] fillVBetween(ISurfaceI surf,
                                        double v1,
                                        double v2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD